%global momorel 1
%global md5sum_src0 0603d3f3f5648c88f10f75c89807c3d1
Summary: evince document viewer
Name: evince

Version: 0.8.3
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/File
URL: http://www.gnome.org/

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.8/%{name}-%{version}.tar.bz2 %{md5sum_src0}
# This patch for web browser to display pdf file.
Patch0: evince-0.7.2-web-pdf.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: gtk2-devel >= 2.10.13
BuildPreReq: libgnomeui-devel >= 2.18.1
BuildPreReq: gnome-vfs2-devel >= 2.18.1
BuildPreReq: libglade2-devel >= 2.6.1
BuildPreReq: poppler-devel >= 0.5.4
BuildPreReq: GConf2-devel >= 2.18.0.1
BuildPreReq: glib2-devel >= 2.12.12
BuildPreReq: gnome-keyring-devel >= 0.8.1
BuildPreReq: libgnomeprintui22-devel >= 2.18.0
BuildPreReq: dbus-devel >= 1.0.2
BuildPreReq: nautilus-devel >= 2.18.3
BuildPreReq: ghostscript-devel
BuildPreReq: openssl-devel >= 0.9.8b
BuildPreReq: djvulibre-devel
Requires: dbus >= 1.0.2
Requires: gamin

%description
Evince is a document viewer capable of displaying multiple and single
page document formats like PDF and Postscript.  For more general
information about Evince please visit our website at
http://www.gnome.org/projects/evince/

%prep
%setup -q
%patch0 -p1 -b .orig

%build
%configure \
    --enable-nautilus \
    --enable-tiff \
    --enable-djvu \
    --enable-dvi \
    --enable-t1lib \
    --enable-pixbuf \
    --enable-comics \
    --disable-scrollkeeper \
    --disable-schemas-install \
    --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_datadir}/icons/hicolor/icon-theme.cache
find %{buildroot} -name "*.la" -delete

# install desktop file
desktop-file-install --vendor= --delete-original \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-key=NoDisplay \
    --remove-category=Application \
  %{buildroot}%{_datadir}/applications/evince.desktop

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas > /dev/null
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/evince.schemas > /dev/null
/usr/bin/gtk-update-icon-cache --quiet /usr/share/icons/hicolor

%preun
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer-dvi.schemas > /dev/null
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince-thumbnailer.schemas > /dev/null
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/evince.schemas > /dev/null

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/nautilus/extensions-1.0/*.so
%{_datadir}/applications/evince.desktop
%{_datadir}/evince
%{_datadir}/gnome/help/evince
%{_datadir}/locale/*/*/*
%{_datadir}/omf/evince
%{_bindir}/evince*
%{_sysconfdir}/gconf/schemas/evince*
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/gtk-doc/html/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Thu Jul  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.3-1m)
- update to 0.8.3

* Wed Jun 27 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.1-2m)
- add Requires: gamin

* Wed Apr 18 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.1-1m)
- update to 0.8.1

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Thu Feb 22 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-2m)
- rewind %%post script (gconftool-2)

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-1m)
- revice %%post script (gconftool-2)

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.2-1m)
- update to 0.7.2 (unstable)

* Wed Dec 06 2006 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.6.1-2m)
- rebuild with djvulibre to enable djvu support

* Tue Oct 10 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Mon Oct  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-4m)
- add post script (gtk-update-icon-cache)

* Fri Sep 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-3m)
- remove category Application (desktop)

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-2m)
- modify patch 0 (text/plain)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-4m)
- rebuild against dbus 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.5.3-3m)
- rebuild against expat-2.0.0-1m

* Wed Jun 14 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-2m)
- enable commic
- delete devel package
- enable web browser to displauy pdf, but this is bug of gnome-vfs
-- all file can open evince (umm shome thing wrong)

* Thu Jun  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.3-1m)
- update to 0.5.3

* Tue May  2 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.5.7-3m)
- rebuild against dbus-0.61

* Wed Apr 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-2m)
- rebuild against openssl-0.9.8a

* Sun Apr  9 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.7-1m)
- update to 0.5.7

* Wed Jan  4 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-6m)
- add --disable-scrollkeeper --disable-schemas-install  to %configure

* Tue Jan  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- rebuild against dbus-0.60-2m

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-5m)
- use /sbin/ldconfig instead of %%post(un) -p /sbin/ldconfig

* Mon Nov 28 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-4m)
- add %%post and %%preun for schemas
- add BuildRequires: ghostscript-devel

* Sun Nov 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.4.0-3m)
- delete "NoDisplay" entry from evince.desktop file

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-2m)
- delete autoreconf and make check

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- start
- GNOME 2.12.1 Desktop
